Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001448opensim[REGION] OpenSim Corepublic2008-06-04 02:052009-08-13 07:16
Reportermonkz 
Assigned ToFly-Man- 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionwon't fix 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0001448: The URL in the web tab of user profiles is not persistant.
DescriptionIf I enter a URL in the web tab of my profile it does not get stored. Upon re-opening the profile the URL is back to blank.
This would be a feature request, as the web tab was not previously implemented.
Additional InformationOpenSimulator version : r4972
OS/Framework : Linux (Ubuntu 7.10)/Mono 1.9
Database : mySQL 5.0.45

Client : Second Life (Nicholaz Edition) 1.19.1 (4) on Linux
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineODE
EnvironmentMono / Linux32
Mono VersionNone
Viewer
Attached Filespatch file icon UserProfilePatch2.patch [^] (16,239 bytes) 2009-08-11 14:26 [Show Content]
patch file icon UserProfile3.patch [^] (19,279 bytes) 2009-08-12 11:54 [Show Content]

- Relationships
child of 0003365closedFly-Man- [OSPROFILE] 

-  Notes
(0006396)
mirceakitsune (reporter)
2008-10-19 07:20

Still happening in the latest rev 6910 on OSGrid.
(0012811)
Fly-Man- (developer)
2009-08-09 06:46

Working on that part in the OsProfile project
(0012833)
Fly-Man- (developer)
2009-08-11 08:38

Adding a (partial) patch that will implement the ProfileUrl into the llClientView
(0012835)
justincc (administrator)
2009-08-11 09:33

Thanks FlyMan, I committed the partial patch. Leaving this open for the second part to persist the data.
(0012842)
Fly-Man- (developer)
2009-08-11 12:59
edited on: 2009-08-11 14:27

Patch 2 added, persistence of the WebUrl, CanDoText and WantDoText and the LanguagesText

WARNING: For some reason it doesn't crash the server but the persistenance isn't working ... :(

(0012860)
Fly-Man- (developer)
2009-08-12 11:55
edited on: 2009-08-12 11:55

Patch 3 added, Persistence of the WebUrl in database works

* Added new UserStore script that adds the missing fields to the users table

Now to find a way to read it back so we can display it in the Profile ...

*grmbls*

(0012866)
melanie (administrator)
2009-08-13 06:04

-1 on this. We're doing it another way.

- Issue History
Date Modified Username Field Change
2008-06-04 02:05 monkz New Issue
2008-06-04 02:05 monkz SVN Revision => 4972
2008-06-04 02:05 monkz Run Mode => Grid (1 Region per Sim)
2008-06-04 02:05 monkz Physics Engine => ODE
2008-06-04 02:05 monkz Environment => Mono / Linux32
2008-06-04 02:14 monkz Severity minor => feature
2008-06-04 02:14 monkz Description Updated
2008-10-19 07:20 mirceakitsune Note Added: 0006396
2008-10-19 07:20 mirceakitsune Status new => confirmed
2009-03-30 13:50 Fly-Man- Relationship added child of 0003365
2009-08-09 06:46 Fly-Man- Note Added: 0012811
2009-08-09 06:46 Fly-Man- Status confirmed => assigned
2009-08-09 06:46 Fly-Man- Assigned To => Fly-Man-
2009-08-11 08:38 Fly-Man- Note Added: 0012833
2009-08-11 08:40 Fly-Man- File Added: UserProperties.patch
2009-08-11 08:41 Fly-Man- Status assigned => patch included
2009-08-11 09:33 justincc Note Added: 0012835
2009-08-11 09:33 justincc Status patch included => patch feedback
2009-08-11 12:58 Fly-Man- File Added: UserProfile.patch
2009-08-11 12:59 Fly-Man- Note Added: 0012842
2009-08-11 13:05 Fly-Man- File Deleted: UserProperties.patch
2009-08-11 13:06 Fly-Man- File Deleted: UserProfile.patch
2009-08-11 13:06 Fly-Man- File Added: UserProfile.patch
2009-08-11 14:19 Fly-Man- File Deleted: UserProfile.patch
2009-08-11 14:26 Fly-Man- File Added: UserProfilePatch2.patch
2009-08-11 14:27 Fly-Man- Note Edited: 0012842
2009-08-12 11:54 Fly-Man- File Added: UserProfile3.patch
2009-08-12 11:55 Fly-Man- Note Added: 0012860
2009-08-12 11:55 Fly-Man- Note Edited: 0012860
2009-08-13 06:04 melanie Note Added: 0012866
2009-08-13 06:05 melanie Mono Version => None
2009-08-13 06:05 melanie Status patch feedback => resolved
2009-08-13 06:05 melanie Resolution open => won't fix
2009-08-13 07:16 Fly-Man- Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker